SignerLocation (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.esf

## Class SignerLocation

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.esf.SignerLocation

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class SignerLocation
      extends ASN1Object

  Signer-Location attribute (RFC3126).

         SignerLocation ::= SEQUENCE {
             countryName        [0] DirectoryString OPTIONAL,
             localityName       [1] DirectoryString OPTIONAL,
             postalAddress      [2] PostalAddress OPTIONAL }

         PostalAddress ::= SEQUENCE SIZE(1..6) OF DirectoryString

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignerLocation(ASN1UTF8String countryName, ASN1UTF8String localityName, ASN1Sequence postalAddress)`
    `SignerLocation(DirectoryString countryName, DirectoryString localityName, DirectoryString[] postalAddress)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `DirectoryString` | `getCountry()` Return the countryName DirectoryString
    `DERUTF8String` | `getCountryName()` Deprecated. use getCountry()
    `static SignerLocation` | `getInstance(java.lang.Object obj)`
    `DirectoryString` | `getLocality()` Return the localityName DirectoryString
    `DERUTF8String` | `getLocalityName()` Deprecated. use getLocality()
    `DirectoryString[]` | `getPostal()` Return the postalAddress DirectoryStrings
    `ASN1Sequence` | `getPostalAddress()`
    `ASN1Primitive` | `toASN1Primitive()` SignerLocation ::= SEQUENCE { countryName [0] DirectoryString OPTIONAL, localityName [1] DirectoryString OPTIONAL, postalAddress [2] PostalAddress OPTIONAL } PostalAddress ::= SEQUENCE SIZE(1..6) OF DirectoryString DirectoryString ::= CHOICE { teletexString TeletexString (SIZE (1..MAX)), printableString PrintableString (SIZE (1..MAX)), universalString UniversalString (SIZE (1..MAX)), utf8String UTF8String (SIZE (1..

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SignerLocation

          public SignerLocation(DirectoryString countryName,
                                DirectoryString localityName,
                                DirectoryString[] postalAddress)

    - #### SignerLocation

          public SignerLocation(ASN1UTF8String countryName,
                                ASN1UTF8String localityName,
                                ASN1Sequence postalAddress)

  - ### Method Detail

    - #### getInstance

          public static SignerLocation getInstance(java.lang.Object obj)

    - #### getCountry

          public DirectoryString getCountry()

      Return the countryName DirectoryString
      Returns:
        the countryName, null if absent.

    - #### getLocality

          public DirectoryString getLocality()

      Return the localityName DirectoryString
      Returns:
        the localityName, null if absent.

    - #### getPostal

          public DirectoryString[] getPostal()

      Return the postalAddress DirectoryStrings
      Returns:
        the postalAddress, null if absent.

    - #### getCountryName

          public DERUTF8String getCountryName()

      Deprecated. use getCountry()

    - #### getLocalityName

          public DERUTF8String getLocalityName()

      Deprecated. use getLocality()

    - #### getPostalAddress

          public ASN1Sequence getPostalAddress()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

             SignerLocation ::= SEQUENCE {
                 countryName        [0] DirectoryString OPTIONAL,
                 localityName       [1] DirectoryString OPTIONAL,
                 postalAddress      [2] PostalAddress OPTIONAL }

             PostalAddress ::= SEQUENCE SIZE(1..6) OF DirectoryString

             DirectoryString ::= CHOICE {
                   teletexString           TeletexString (SIZE (1..MAX)),
                   printableString         PrintableString (SIZE (1..MAX)),
                   universalString         UniversalString (SIZE (1..MAX)),
                   utf8String              UTF8String (SIZE (1.. MAX)),
                   bmpString               BMPString (SIZE (1..MAX)) }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.